ipython does not work with latest version of prompt-toolkit

banerjee.rohan98 at gmail.com banerjee.rohan98 at gmail.com
Tue Dec 18 03:55:45 EST 2018


On Sunday, 3 June 2018 13:58:14 UTC+5:30, Cecil Westerhof  wrote:
> When executing:
>     pip3 list --no-cache-dir --outdated
> 
> I got:
>     prompt-toolkit 1.0.15    2.0.1    wheel
>     PyGObject      3.28.2    3.28.3   sdist
>     youtube-dl     2018.5.30 2018.6.2 wheel
> 
> So I executed:
>     pip3 install --upgrade prompt-toolkit PyGObject youtube-dl
> 
> This gave:
>     Successfully installed PyGObject-3.28.3 prompt-toolkit-2.0.1 youtube-dl-2018.6.2
>     ipython 6.4.0 has requirement prompt-toolkit<2.0.0,>=1.0.15, but you'll have prompt-toolkit 2.0.1 which is incompatible.
> 
> And when I now execute ipython3, I get:
>     Traceback (most recent call last):
>       File "/usr/local/bin/ipython3", line 7, in <module>
>         from IPython import start_ipython
>       File "/usr/local/lib/python3.5/dist-packages/IPython/__init__.py", line 55, in <module>
>         from .terminal.embed import embed
>       File "/usr/local/lib/python3.5/dist-packages/IPython/terminal/embed.py", line 16, in <module>
>         from IPython.terminal.interactiveshell import TerminalInteractiveShell
>       File "/usr/local/lib/python3.5/dist-packages/IPython/terminal/interactiveshell.py", line 22, in <module>
>         from prompt_toolkit.shortcuts import create_prompt_application, create_eventloop, create_prompt_layout, create_output
>     ImportError: cannot import name 'create_prompt_application'
> 
> When I now execute:
>     pip3 list --no-cache-dir --outdated
> 
> I do not get output. So pip3 thinks everything is OK.
> 
> How do I fix this? Or is the expected that ipython3 will be updated
> shortly?
> 
> -- 
> Cecil Westerhof
> Senior Software Engineer
> LinkedIn: http://www.linkedin.com/in/cecilwesterhof

I downgraded to the following versions and I go it working:
Python 3.6.5
jupyter 1.0.0
jupyter-client 5.2.3
jupyter-console 5.2.0
jupyter-core 4.4.0
ipython 6.4.0
prompt-toolkit to the version 1.0.15


More information about the Python-list mailing list